serious pinxi 3.0.38 patch 16 errors
fm
Status: Interested
Joined: 01 Jan 2019
Posts: 28
Reply Quote
:: Code ::
# pinxi -V | head -n1
pinxi 3.0.37-38 (2020-02-24)
# pinxi -U
Starting pinxi self updater.
Using tiny as downloader.
Currently running pinxi version number: 3.0.37
Current version patch number: 38
Current version release date: 2020-02-24
Updating pinxi in /usr/local/bin using inxi-perl branch as download source...
Successfully updated to inxi-perl branch version: 3.0.38
New inxi-perl branch version patch number: 16
New inxi-perl branch version release date: 2020-04-13
To run the new version, just start pinxi again.
----------------------------------------

Starting download of man page file now.
Skipping man download because branch version is being used.
# pinxi -V
syntax error at /usr/local/bin/pinxi line 8153, near "))"
Global symbol "$arch" requires explicit package name (did you forget to declare "my $arch"?) at /usr/local/bin/pinxi line 8183.
syntax error at /usr/local/bin/pinxi line 8253, near "}"
syntax error at /usr/local/bin/pinxi line 9869, near "}"
syntax error at /usr/local/bin/pinxi line 10605, near "}"
syntax error at /usr/local/bin/pinxi line 11244, near "}"
syntax error at /usr/local/bin/pinxi line 11802, near "}"
syntax error at /usr/local/bin/pinxi line 12138, near "}"
syntax error at /usr/local/bin/pinxi line 12817, near "}"
syntax error at /usr/local/bin/pinxi line 12994, near "}"
/usr/local/bin/pinxi has too many errors.
# pinxi -Sxx
syntax error at /usr/local/bin/pinxi line 8153, near "))"
Global symbol "$arch" requires explicit package name (did you forget to declare "my $arch"?) at /usr/local/bin/pinxi line 8183.
syntax error at /usr/local/bin/pinxi line 8253, near "}"
syntax error at /usr/local/bin/pinxi line 9869, near "}"
syntax error at /usr/local/bin/pinxi line 10605, near "}"
syntax error at /usr/local/bin/pinxi line 11244, near "}"
syntax error at /usr/local/bin/pinxi line 11802, near "}"
syntax error at /usr/local/bin/pinxi line 12138, near "}"
syntax error at /usr/local/bin/pinxi line 12817, near "}"
syntax error at /usr/local/bin/pinxi line 12994, near "}"
/usr/local/bin/pinxi has too many errors.
# rpm -qa | grep -i perl | sort
perl-5.30.1-3.2.x86_64
perl-Bootloader-0.926-1.2.x86_64
perl-Bootloader-YAML-0.926-1.2.x86_64
perl-CPAN-Changes-0.400002-2.7.noarch
perl-Crypt-SmbHash-0.12-159.3.noarch
perl-Devel-Symdump-2.18-1.8.noarch
perl-Digest-MD4-1.9-5.22.x86_64
perl-Digest-SHA1-2.13-19.21.x86_64
perl-Encode-Locale-1.05-1.11.noarch
perl-File-Listing-6.04-9.12.noarch
perl-HTML-Parser-3.72-1.19.x86_64
perl-HTML-Tagset-3.20-73.11.noarch
perl-HTTP-Cookies-6.08-1.1.noarch
perl-HTTP-Daemon-6.06-1.2.noarch
perl-HTTP-Date-6.05-1.1.noarch
perl-HTTP-Message-6.22-1.1.noarch
perl-HTTP-Negotiate-6.01-9.12.noarch
perl-IO-HTML-1.001-1.11.noarch
perl-IO-Socket-SSL-2.067-1.1.noarch
perl-LWP-MediaTypes-6.04-1.4.noarch
perl-LWP-Protocol-https-6.07-1.5.noarch
perl-Net-DBus-1.2.0-1.1.x86_64
perl-Net-HTTP-6.19-1.4.noarch
perl-Net-SSLeay-1.88-1.4.x86_64
perl-Parse-RecDescent-1.967015-1.9.x86_64
perl-Pod-Coverage-0.23-5.13.noarch
perl-Term-ReadLine-Gnu-1.36-1.6.x86_64
perl-Test-Pod-1.52-1.6.noarch
perl-Test-Pod-Coverage-1.10-3.12.noarch
perl-TimeDate-2.32-1.1.noarch
perl-Try-Tiny-0.30-1.6.noarch
perl-URI-1.76-1.5.noarch
perl-WWW-RobotRules-6.02-9.12.noarch
perl-X11-Protocol-0.56-15.2.noarch
perl-X500-DN-0.29-109.1.x86_64
perl-XML-LibXML-2.0204-1.1.x86_64
perl-XML-NamespaceSupport-1.12-1.8.noarch
perl-XML-Parser-2.46-1.2.x86_64
perl-XML-SAX-1.02-1.2.noarch
perl-XML-SAX-Base-1.09-1.9.noarch
perl-XML-SAX-Expat-0.51-4.5.noarch
perl-XML-Simple-2.25-1.6.noarch
perl-XML-Twig-3.52-1.9.noarch
perl-YAML-LibYAML-0.81-1.1.x86_64
perl-base-5.30.1-3.2.x86_64
perl-gettext-1.07-1.32.x86_64
perl-libwww-perl-6.43-1.1.noarch
yast2-perl-bindings-4.1.0-1.7.x86_64
# inxi -U
Starting inxi self updater.
Using tiny as downloader.
Currently running inxi version number: 3.0.37
Current version patch number: 00
Current version release date: 2019-11-19
Updating inxi in /usr/local/bin using main branch as download source...
Successfully updated to main branch version: 3.0.38
New main branch version patch number: 00
New main branch version release date: 2020-03-14
To run the new version, just start inxi again.
----------------------------------------

Starting download of man page file now.
Downloading Man page file...
Download successful. Compressing file...
Download and install of man page successful.
Check to make sure it works: man inxi
# inxi -V | head -n1
inxi 3.0.38-00 (2020-03-14)
# inxi -SMxxza
System:    Kernel: 5.5.13-1-default x86_64 bits: 64 compiler: gcc v: 9.2.1
           parameters: root=foobarbaz ipv6.disable=1 net.ifnames=0 noresume mitigations=auto consoleblank=0 vga=791
           video=1024x768@60 video=1440x900@60 5
           Desktop: KDE Plasma 5.18.4 tk: Qt 5.14.1 wm: kwin_x11 dm: N/A Distro: openSUSE Tumbleweed 20200411
Machine:   Type: Desktop System: Seneca product: PRO430780 v: N/A serial: <filter>
           Mobo: ASUSTeK model: B85M-E v: Rev X.0x serial: <filter> BIOS: American Megatrends v: 3602 date: 04/04/201

Back to top
techAdmin
Status: Site Admin
Joined: 26 Sep 2003
Posts: 3966
Location: East Coast, West Coast? I know it's one of them.
Reply Quote
no big deal, I was working on something last night and forgot to test my last fix before commit. That's corrected now. Just overwrite pinxi:

wget -O /usr/local/bin/pinxi smxi.org/pinxi
and it will all be fine again.

Generally of course, I try to avoid breaking things, but sometimes I'll miss a last change that I forget to test before committing it.
Back to top
Display posts from previous:   

All times are GMT - 8 Hours